# DeubertIt :: Zf1LoggingGelf

ZF1 log adapter for gelf protocol via udp

## How to integrate into a project

`application.ini` configurations

```ini
; base settings
resources.log.gelf.writerName = "Gelf"
resources.log.gelf.writerParams.gelftarget = "udp://elk:12201"
resources.log.gelf.writerParams.channel = "log-facility"
; optional
resources.log.gelf.writerParams.host = "log-source-01"
; filter if needed
resources.log.gelf.filterName = Priority
resources.log.gelf.filterParams.priority = 7
```

In `Zend_Bootstrap` you need to init the module before default log init:

```php

// ...

/** @var Zend_Application_Resource_Log $log */
$log = $this->getPluginResource('log');
\DeubertIt\Zf1LoggingGelf\Bootstrap::init($log);

parent::_initLogger();

// ...

```

or use the following for other custom loggers:

```php
$logOptions = $this->getOptions();
$customLog = new Zend_Log();
//...
\DeubertIt\Zf1LoggingGelf\Bootstrap::init($logOptions, $customLog);
```

### Package Integration

1. Add composer repository

#### Production

```json
{
    "repositories": [
        {
            "type": "git",
            "url": "https://gitlab.deubert.it/deubert-it/zf1-logging-gelf.git"
        }
    ],
    "require": {
        "deubertit/zf1-logging-gelf": "*@dev"
    }
}
```

#### Development

```json
{
    "repositories": [
        {
            "type": "path",
            "url": "../<path-to-the-package>"
        }
    ],
    "require": {
        "deubertit/zf1-logging-gelf": "*@dev"
    }
}
```

### Tests

```bash
composer install

docker-compose run --rm php php ./vendor/bin/phpunit
```
