<?php
/**
 * DeubertIt
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2020 All rights reserved
 * @package DeubertIt\Zf1LoggingGelf
 */

namespace DeubertIt\Zf1LoggingGelf\Log\Writer;

/**
 * Class Gelf
 * @package DeubertIt\Zf1LoggingGelf\Log\Writer
 * 
 * @author Ivan Petrov <ivan.petrov@deubert.it>
 */
class Gelf extends \Zend_Log_Writer_Abstract
{
    use GelfTrait;

    /**
     * @param string $target
     * @param string|null $channel
     * @param string|null $host
     */
    public function __construct(string $target, string $channel = null, string $host = null)
    {
        $this->setTarget($target);
        $this->setChannel($channel);
        $this->setHost($host);
    }

    /**
     * @param array|\Zend_Config $config
     * @return \Zend_Log_Writer_Abstract|\Zend_Log_FactoryInterface $this
     * @throws \Zend_Log_Exception
     */
    public static function factory($config)
    {
        $config = self::_parseConfig($config);

        $config = array_merge(array(
            'gelftarget' => null,
            'channel' => null,
            'host' => null,
        ), $config);

        return new self($config['gelftarget'], $config['channel'], $config['host']);
    }

    /**
     * Write a message to the log.
     *
     * @param  array  $event  event data
     * @throws \Exception
     */
    protected function _write($event)
    {
        $this->getLogger()->log($event['priority'], $event['message'], $event);
    }
}