<?php
/**
 * DeubertIt
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2020 All rights reserved
 * @package DeubertIt\Zf1LoggingGelf
 */

namespace DeubertIt\Zf1LoggingGelf\Tests;

use DeubertIt\Zf1LoggingGelf\Log;
use Monolog\Logger;
use PHPUnit\Framework\TestCase;

/**
 * Class GelfTrait
 * @package DeubertIt\Zf1LoggingGelf\Tests
 * 
 * @author Ivan Petrov <ivan.petrov@deubert.it>
 */
class LogTests extends TestCase
{
    public function testZfLogCodesToMonologCodes()
    {
        $this->assertEquals(Logger::EMERGENCY, Log::toMonologErrorCode(\Zend_Log::EMERG));
        $this->assertEquals(Logger::ALERT, Log::toMonologErrorCode(\Zend_Log::ALERT));
        $this->assertEquals(Logger::CRITICAL, Log::toMonologErrorCode(\Zend_Log::CRIT));
        $this->assertEquals(Logger::ERROR, Log::toMonologErrorCode(\Zend_Log::ERR));
        $this->assertEquals(Logger::WARNING, Log::toMonologErrorCode(\Zend_Log::WARN));
        $this->assertEquals(Logger::NOTICE, Log::toMonologErrorCode(\Zend_Log::NOTICE));
        $this->assertEquals(Logger::INFO, Log::toMonologErrorCode(\Zend_Log::INFO));
        $this->assertEquals(Logger::DEBUG, Log::toMonologErrorCode(\Zend_Log::DEBUG));

        $this->assertNull(Log::toMonologErrorCode(12321321));
    }
}